Bug 201733 - Debugging session could exit unexpectedly with "ERROR: poll failed" message
Debugging session could exit unexpectedly with "ERROR: poll failed" message
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
PC Linux
: P2 (vote)
: 7.1
Assigned To: Andrew Krasny
issues@cnd
CR_7086177, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 10:46 UTC by Andrew Krasny
Modified: 2011-09-29 12:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
effective patch (6.17 KB, patch)
2011-09-14 14:15 UTC, Andrew Krasny
Details | Diff
full effective patch (10.24 KB, patch)
2011-09-15 08:50 UTC, Andrew Krasny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2011-09-07 10:46:47 UTC
This could be connected with the nativeexecution and it's pty support.
Investigating...
Comment 1 Andrew Krasny 2011-09-07 18:19:49 UTC
I was able to reproduce the problem on some systems.. pty exited on returning from poll with result -1. 
Now, in case if errno == EINTR, main pty loop is just re-iterated.

Changesets with this fix are:
http://hg.netbeans.org/cnd-main/rev/a1ac5a9def31 (pty)
http://hg.netbeans.org/cnd-main/rev/f27856ad8536 (pty_open)
http://hg.netbeans.org/cnd-main/rev/9d128350eb0e (binaries)

As with this fix all pty-related binaries were re-compiled I would like to ask qa to pay additional attention on internal terminal on all platforms.

It should be well tested before we can transplant changes to 701patch2
Comment 2 Vladimir Voskresensky 2011-09-09 14:30:51 UTC
patch candidates are P2s
Comment 3 Andrew Krasny 2011-09-14 14:12:49 UTC
Add fixes: 
(rolled back changes in arguments parsing - they are not relevant to the fix and binaries update)

http://hg.netbeans.org/cnd-main/rev/af921fcfb0e9
http://hg.netbeans.org/cnd-main/rev/1dbef13690c2
Comment 4 Andrew Krasny 2011-09-14 14:15:34 UTC
Created attachment 110755 [details]
effective patch
Comment 5 Andrew Krasny 2011-09-15 08:50:57 UTC
Created attachment 110777 [details]
full effective patch
Comment 6 Egor Ushakov 2011-09-15 10:21:42 UTC
fix reviewed but updating binaries for all platforms is too risky so
lets update only linux binaries in 7.0.1 patch 2.
7.1 branch will have all new binaries.
Comment 7 Andrew Krasny 2011-09-15 11:14:14 UTC
Transplanted to releases_elif. Linux binaries only.

changeset:   204855:b6c1fcddb368
files:       dlight.nativeexecution/release/bin/nativeexecution/Linux-x86/pty dlight.nativeexecution/release/bin/nativeexecution/Linux-x86/pty_open dlight.nativeexecution/release/bin/nativeexecution/Linux-x86_64/pty dlight.nativeexecutiodescription:

changeset:   204854:5733726151a2
files:       dlight.nativeexecution/tools/PtySupport/src/pty.c

changeset:   204853:a40f29a6616a
files:       dlight.nativeexecution/tools/pty_open.c

changeset:   204852:e1b0770e5e9c
files:       dlight.nativeexecution/tools/PtySupport/src/error.c
Comment 8 Alexander Pepin 2011-09-23 10:29:22 UTC
verified on Linux 32/64 in oss-platform-build #66 (20110921)
Comment 9 Quality Engineering 2011-09-26 13:33:02 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/b6c1fcddb368
User: Andrew Krasny <akrasny@netbeans.org>
Log: Bug#201733 - Debugging session could exit unexpectedly with "ERROR: poll failed" message [binaries]
Comment 10 dnikitin 2011-09-29 12:05:52 UTC
verified in Oracle Solaris Studio Dev 2011/09/29 (Build #3340)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo